package com.cr.cruav

import android.app.Application
import android.content.Context
import com.squareup.otto.Bus
import com.squareup.otto.ThreadEnforcer

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：3/1/23 9:58 AM
 * 描述：
 */
class CrApplication : Application() {
    override fun attachBaseContext(base: Context?) {
        super.attachBaseContext(base);
        com.secneo.sdk.Helper.install(this);
        app = this
    }

    /**
     *  静态方法
     */
    companion object {
        // define: 2023/4/3 订阅事件
        private var bus: Bus = Bus(ThreadEnforcer.ANY)
        // define: 2023/4/11 应用本身
        private var app: Application? = null

        /**
         * 获取订阅事件
         * @return Bus
         */
        fun getEventBus(): Bus {
            return bus
        }

        /**
         * 获取Application
         * @return Application?
         */
        fun getInstance(): Application? {
            return CrApplication.app
        }
    }
}